#include <bits/stdc++.h>
using namespace std;

using ll = int64_t;
int main(){
	ios_base::sync_with_stdio(false), cin.tie(nullptr);
	ll N;
	cin >> N;
	vector<int> bytes;
	while(N){
		bytes.push_back(N % 128);
		N /= 128;
	}
	reverse(bytes.begin(), bytes.end());
	if(bytes.empty()) bytes.push_back(0);
	for(int i = 0; i < (int)bytes.size() - 1; i++) bytes[i] += 128;
	for(int i = 0; i < (int)bytes.size(); i++){
		cout << bytes[i] << " \n"[i+1 == bytes.size()];
	}
}
